Bug 688091 - [abrt] rpm-4.9.0-1.fc15: Process /bin/rpm was killed by signal 6 (SIGABRT)
Summary: [abrt] rpm-4.9.0-1.fc15: Process /bin/rpm was killed by signal 6 (SIGABRT)
Keywords:
Status: CLOSED CURRENTRELEASE
Alias: None
Product: Fedora
Classification: Fedora
Component: rpm
Version: 15
Hardware: x86_64
OS: Unspecified
unspecified
unspecified
Target Milestone: ---
Assignee: Jindrich Novy
QA Contact: Fedora Extras Quality Assurance
URL:
Whiteboard: abrt_hash:(null)
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2011-03-16 10:13 UTC by Michal Nowak
Modified: 2013-07-02 23:50 UTC (History)
5 users (show)

Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Clone Of:
Environment:
Last Closed: 2011-05-12 09:25:41 UTC


Attachments (Terms of Use)
File: event_log (4.75 KB, text/plain)
2011-03-16 10:13 UTC, Michal Nowak
no flags Details
File: smaps (52.40 KB, text/plain)
2011-03-16 10:13 UTC, Michal Nowak
no flags Details
File: maps (10.46 KB, text/plain)
2011-03-16 10:13 UTC, Michal Nowak
no flags Details
File: backtrace (7.50 KB, text/plain)
2011-03-16 10:13 UTC, Michal Nowak
no flags Details
Sample corefile (14.34 KB, application/x-xz)
2011-03-16 10:15 UTC, Michal Nowak
no flags Details

Description Michal Nowak 2011-03-16 10:13:18 UTC
abrt version: 1.2.0
comment: "install" coredump
executable: /bin/rpm
cmdline: rpm -ivh /home/newman/core.2074
Attached file: event_log, 4865 bytes
component: rpm
uid: 500
Attached file: smaps, 53662 bytes
Attached file: sosreport.tar.xz, 360740 bytes
Attached file: coredump, 6684672 bytes
Attached file: maps, 10710 bytes
kernel: 2.6.38-0.rc8.git0.1.fc15.x86_64
reason: Process /bin/rpm was killed by signal 6 (SIGABRT)
architecture: x86_64
package: rpm-4.9.0-1.fc15
username: newman
Attached file: backtrace, 7676 bytes
os_release: Fedora release 15 (Lovelock)
time: 1300269690

Comment 1 Michal Nowak 2011-03-16 10:13:21 UTC
Created attachment 485691 [details]
File: event_log

Comment 2 Michal Nowak 2011-03-16 10:13:24 UTC
Created attachment 485692 [details]
File: smaps

Comment 3 Michal Nowak 2011-03-16 10:13:27 UTC
Created attachment 485693 [details]
File: maps

Comment 4 Michal Nowak 2011-03-16 10:13:30 UTC
Created attachment 485695 [details]
File: backtrace

Comment 5 Michal Nowak 2011-03-16 10:15:34 UTC
Created attachment 485696 [details]
Sample corefile

Comment 6 Jindrich Novy 2011-03-16 13:35:36 UTC
Successfully reproduced. Seems you hit a corner case bug in rpmReadPackageManifest().

Comment 7 Jindrich Novy 2011-03-16 14:05:17 UTC
... and fixed.

Comment 8 Fedora Update System 2011-03-22 07:35:49 UTC
rpm-4.9.0-4.fc15 has been submitted as an update for Fedora 15.
https://admin.fedoraproject.org/updates/rpm-4.9.0-4.fc15

Comment 9 Fedora Update System 2011-04-06 07:04:25 UTC
rpm-4.9.0-5.fc15 has been submitted as an update for Fedora 15.
https://admin.fedoraproject.org/updates/rpm-4.9.0-5.fc15


Note You need to log in before you can comment on or make changes to this bug.